#include <stdio.h>

void main(void)
{
    unsigned char foo[8];
    double *d;

    scanf("%X", (unsigned long *)&foo[4]);
    scanf("%X", (unsigned long *)&foo[0]);
    d = (double *)&foo[0];
    printf("%f\n", *d);
}

